## drbdlinks 1.22

=== Makefile ===
test:
	( cd tests; make test )

=== tests/Makefile ===
DRBDLINKS=python ../drbdlinks

test:
	$(DRBDLINKS) meta-data | grep -iq '<shortdesc lang="en">Configuration Filename</shortdesc>'
	mkdir shared
	echo 'Shared file' >shared/testlink
	echo 'Local file' >testlink
	$(DRBDLINKS) -c drbdlinks.conf start
	$(DRBDLINKS) -c drbdlinks.conf status
	grep -q 'Shared file' testlink
	$(DRBDLINKS) -c drbdlinks.conf stop
	grep -q 'Local file' testlink
	rm -f testlink
	rm -rf shared

## drbdlinks 1.18

=== debian/changelog ===
drbdlinks (1.18-2) unstable; urgency=low

  * Updated watch file
  * Updated maintainer email address
  * Used debhelper 7

 -- Thierry Randrianiriana <thierry@debian.org>  Tue, 11 May 2010 00:52:00 +0300

drbdlinks (1.18-1) unstable; urgency=low

  * New maintainer (Closes: #555204)
  * Acknowledge NMU (Closes: #468835)
  * binary-arch target exists in debian/rules (Closes: #395591)
  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/control:
   - bumped Standards-Version to 3.8.4
   - added ${misc:Depends} in Depends
   - removed drbd-utils in Depends (Closes: #460969)
   - added drbd8-utils in Suggests
   - added Homepage field
  * cleaned debian/rules:
  * debian/drbdlinksclean.init:
    - check /etc/drbdlinks.conf instead of /etc/drbd.conf
    - added status target
  * Bumped debian/compat to 6
  * Updated debian/copyright
  * Added debian/watch

 -- Thierry Randrianiriana <randrianiriana@gmail.com>  Mon, 05 Apr 2010 08:21:27 +0300

drbdlinks (1.09-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added LSB formatted dependency info in init.d script (closes: #468835)
  * Fixed man page installation
  * Replaced dh_python by hardcoded python dependency

 -- Peter Eisentraut <petere@debian.org>  Wed, 02 Apr 2008 01:52:18 +0200

drbdlinks (1.09-1) unstable; urgency=low

  * New upstream release

 -- Cyril Bouthors <cyril@bouthors.org>  Sun, 12 Aug 2007 12:13:57 +0200

drbdlinks (1.07-1) unstable; urgency=low

  * New upstream release (closes: #391503).
  * debian/control: Updated standards-version from 3.6.2.1 to 3.7.2.
  * debian/rules: added binary-arch target.
  * debian/pycomat: added
  * debian/control: added Build-Depends on debhelper (>= 5.0.37.2) in
    order to respect python policy.

 -- Cyril Bouthors <cyril@bouthors.org>  Tue, 10 Oct 2006 12:42:50 +0300

drbdlinks (1.04-2) unstable; urgency=low

  * Removed obsolete debian/drbdlinks.8 (yeah, I need coffee).

 -- Cyril Bouthors <cyril@bouthors.org>  Tue, 19 Jul 2005 09:05:30 +0300

drbdlinks (1.04-1) unstable; urgency=low

  * New upstream release

 -- Cyril Bouthors <cyril@bouthors.org>  Tue, 19 Jul 2005 08:52:47 +0300

drbdlinks (1.03-3) unstable; urgency=low

  * debian/control: changed Architecture from any to all
  * debian/control: updated description according to Anthony DeRobertis
    advices (closes: #318436).

 -- Cyril Bouthors <cyril@bouthors.org>  Sun, 17 Jul 2005 23:10:23 +0300

drbdlinks (1.03-2) unstable; urgency=low

  * debian/drbdlinks.8: more accurate description.

 -- Cyril Bouthors <cyril@bouthors.org>  Sun, 10 Jul 2005 11:55:18 +0300

drbdlinks (1.03-1) unstable; urgency=low

  * Initial release (closes: #317569).

 -- Cyril Bouthors <cyril@bouthors.org>  Sat,  9 Jul 2005 21:46:05 +0300

=== debian/control ===
Source: drbdlinks
Section: admin
Priority: optional
Maintainer: Thierry Randrianiriana <thierry@debian.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.4
Homepage: http://www.tummy.com/Community/software/drbdlinks/

Package: drbdlinks
Architecture: all
Depends: python, ${misc:Depends}
Suggests: drbd8-utils
Description: Manages symlinks into a shared DRBD partition
 Manages symlinks into a DRBD partition which is shared among several
 machines.  A simple configuration file, "/etc/drbdlinks.conf",
 specifies the links.  This can be used to manage links for
 /etc/apache, /var/lib/pgsql, and other system directories that need
 to appear as if they are local to the system when running
 applications after a drbd shared partition has been mounted.
 .
 DRBD is a RAID 1 over TCP/IP solution, please have a look at the
 packages drbd-utils and drbd-module-source for more information.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	cp -p drbdlinks.conf $(CURDIR)/debian/drbdlinks/etc
	cp -p drbdlinks $(CURDIR)/debian/drbdlinks/etc/ha.d/resource.d
	cp -p drbdlinks $(CURDIR)/debian/drbdlinks/usr/sbin

binary-arch: build install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
#	dh_install
	dh_installinit --name=drbdlinksclean
	dh_installman drbdlinks.8
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
ftp://ftp.tummy.com/pub/tummy/drbdlinks/drbdlinks-([\d\.]+)\.tar\.gz

## drbdlinks 1.19

=== debian/changelog ===
drbdlinks (1.19-1) unstable; urgency=low

  * New upstream release
  * Bumped Standards-Version to 3.9.2

 -- Thierry Randrianiriana <thierry@debian.org>  Wed, 20 Jul 2011 11:29:24 +0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Thierry Randrianiriana <thierry@debian.org>
-Build-Depends: debhelper (>= 7)
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 6)
+Standards-Version: 3.9.2
 Homepage: http://www.tummy.com/Community/software/drbdlinks/
 
 Package: drbdlinks

=== debian/watch ===
version=3
ftp://ftp.tummy.com/pub/tummy/drbdlinks/drbdlinks-(.*)\.tar\.gz

## drbdlinks 1.22

=== debian/changelog ===
drbdlinks (1.22-1) unstable; urgency=low

  * New upstream release (Closes: #691401, #640929)
  * Bumped Standards-Version to 3.9.3
  * Updated the drbdlinksclean init script
  * Fixed debian/watch

 -- Thierry Randrianiriana <thierry@debian.org>  Thu, 25 Oct 2012 21:04:41 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Thierry Randrianiriana <thierry@debian.org>
 Build-Depends: debhelper (>= 6)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.tummy.com/Community/software/drbdlinks/
 
 Package: drbdlinks

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,12 @@
 	dh_testdir
 	touch configure-stamp
 
-build: build-stamp
+
+build: build-arch build-indep
+
+build-arch: build-stamp
+
+build-indep: build-stamp
 
 build-stamp: configure-stamp
 	dh_testdir
@@ -23,7 +28,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_prep
+	dh_clean -k
 	dh_installdirs
 	cp -p drbdlinks.conf $(CURDIR)/debian/drbdlinks/etc
 	cp -p drbdlinks $(CURDIR)/debian/drbdlinks/etc/ha.d/resource.d

=== debian/watch ===
version=3
ftp://ftp.tummy.com/pub/tummy/drbdlinks/drbdlinks-(\d[\d.]*)\.tar\.gz debian uupdate
